SubscribersClientCompositeOperations¶
- class oci.apigateway.SubscribersClientCompositeOperations(client, work_request_clients=None, **kwargs)¶
This class provides a wrapper around
SubscribersClientand offers convenience methods for operations that would otherwise need to be chained together. For example, instead of performing an action on a resource (e.g. launching an instance, creating a load balancer) and then using a waiter to wait for the resource to enter a given state, you can call a single method in this class to accomplish the same functionalityMethods:
__init__(client[, work_request_clients])Creates a new SubscribersClientCompositeOperations object
Calls
add_subscriber_lock()and waits for theSubscriberacted upon to enter the given state(s).Calls
change_subscriber_compartment()and waits for theWorkRequestto enter the given state(s).create_subscriber_and_wait_for_state(...[, ...])Calls
create_subscriber()and waits for theWorkRequestto enter the given state(s).delete_subscriber_and_wait_for_state(...[, ...])Calls
delete_subscriber()and waits for theWorkRequestto enter the given state(s).Calls
remove_subscriber_lock()and waits for theSubscriberacted upon to enter the given state(s).update_subscriber_and_wait_for_state(...[, ...])Calls
update_subscriber()and waits for theWorkRequestto enter the given state(s).- __init__(client, work_request_clients=None, **kwargs)¶
Creates a new SubscribersClientCompositeOperations object
- Parameters
client (SubscribersClient) – The service client which will be wrapped by this object
work_request_clients (dict) –
(optional) Service-local clients keyed by generated client class name, for example
{'WorkRequestClient': work_request_client}. By default, regional clients are created when needed using the wrapped client’s signer, endpoint and constructor options.Automatically created work-request clients are cached. Before each wait, their endpoint and signer are refreshed from the wrapped client; other client settings and HTTP session changes are not synchronized. Do not modify the wrapped client’s endpoint or signer while a wait is in progress.
Supply a client for non-regional endpoints or customized HTTP sessions. These clients are separate from the shared Work Requests service.
- add_subscriber_lock_and_wait_for_state(subscriber_id, add_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
add_subscriber_lock()and waits for theSubscriberacted upon to enter the given state(s).- Parameters
subscriber_id (str) – (required) The ocid of the subscriber.
add_resource_lock_details (oci.apigateway.models.AddResourceLockDetails) – (required) AddResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
add_subscriber_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- change_subscriber_compartment_and_wait_for_state(subscriber_id, change_subscriber_compartment_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
change_subscriber_compartment()and waits for theWorkRequestto enter the given state(s).- Parameters
subscriber_id (str) – (required) The ocid of the subscriber.
change_subscriber_compartment_details (oci.apigateway.models.ChangeSubscriberCompartmentDetails) – (required) Details of the target compartment.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
change_subscriber_compartment()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- create_subscriber_and_wait_for_state(create_subscriber_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
create_subscriber()and waits for theWorkRequestto enter the given state(s).- Parameters
create_subscriber_details (oci.apigateway.models.CreateSubscriberDetails) – (required) Details for the new subscriber.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
create_subscriber()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- delete_subscriber_and_wait_for_state(subscriber_id, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
delete_subscriber()and waits for theWorkRequestto enter the given state(s).- Parameters
subscriber_id (str) – (required) The ocid of the subscriber.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
delete_subscriber()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- remove_subscriber_lock_and_wait_for_state(subscriber_id, remove_resource_lock_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
remove_subscriber_lock()and waits for theSubscriberacted upon to enter the given state(s).- Parameters
subscriber_id (str) – (required) The ocid of the subscriber.
remove_resource_lock_details (oci.apigateway.models.RemoveResourceLockDetails) – (required) RemoveResourceLockDetails body parameter
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
lifecycle_stateoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
remove_subscriber_lock()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait
- update_subscriber_and_wait_for_state(subscriber_id, update_subscriber_details, wait_for_states=[], operation_kwargs={}, waiter_kwargs={})¶
Calls
update_subscriber()and waits for theWorkRequestto enter the given state(s).- Parameters
subscriber_id (str) – (required) The ocid of the subscriber.
update_subscriber_details (oci.apigateway.models.UpdateSubscriberDetails) – (required) The information to be updated.
wait_for_states (list[str]) – An array of states to wait on. These should be valid values for
statusoperation_kwargs (dict) – A dictionary of keyword arguments to pass to
update_subscriber()waiter_kwargs (dict) – A dictionary of keyword arguments to pass to the
oci.wait_until()function. For example, you could passmax_interval_secondsormax_interval_secondsas dictionary keys to modify how long the waiter function will wait between retries and the maximum amount of time it will wait